/*
 * Device initialization and cleanup for White-Rabbit switch network interface
 *
 * Copyright (C) 2010 CERN (www.cern.ch)
 * Author: Alessandro Rubini <rubini@gnudd.com>
 * Partly from previous work by Tomasz Wlostowski <tomasz.wlostowski@cern.ch>
 * Partly from previous work by  Emilio G. Cota <cota@braap.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/init.h>
#include <linux/netdevice.h>
#include <linux/etherdevice.h>
#include <linux/errno.h>
#include <linux/platform_device.h>
#include <linux/of_platform.h>
#include <linux/spinlock.h>
#include <linux/delay.h>
#include <linux/io.h>
#include <linux/irqdomain.h>
#include <linux/i2c.h>
#include <linux/platform_data/i2c-ocores.h>


/* The remove function is used by probe, so it's not __devexit */
static int sfp_i2c_remove(struct platform_device *pdev)
{
	printk("sfp_i2c_remove()\n");
	return 0;
}

static int sfp_i2c_probe(struct platform_device *pdev)
{
	printk("sfp_i2c_probe()\n");
	return 0;
}

/* This is not static as ./module.c is going to register it */
struct platform_driver sfp_i2c_driver = {
	.probe		= sfp_i2c_probe,
	.remove		= sfp_i2c_remove, /* not __exit_p as probe calls it */
	/* No suspend or resume by now */
	.driver		= {
		.name		= KBUILD_MODNAME,
		.owner		= THIS_MODULE,
	},
};

MODULE_LICENSE("GPL");